Author: Francois Mazen <francois@mzf.fr>
Description: Add LDFLAGS and CXXFLAGS at several places to enable hardening flags.
Forwarded: not-needed

--- a/plugin/seq/load.link.in
+++ b/plugin/seq/load.link.in
@@ -272,9 +272,9 @@
 	exit 1;
     fi
     if [ "$files" ] ;then
-	echo $CXX -c $FLAGS $CXXFLAGS $INC $PIC $FFCXXFLAGS $files
+	echo $CXX -c $FLAGS $CXXFLAGS $INC $PIC $FFCXXFLAGS $files $LDFLAGS
 	if [  $do = yes ] ; then
-	    eval $CXX -c $INC $FLAGS $CXXFLAGS $PIC $FFCXXFLAGS $files
+	    eval $CXX -c $INC $FLAGS $CXXFLAGS $PIC $FFCXXFLAGS $files $LDFLAGS
 	    ret=$?; if [ $ret -ne 0 ] ; then exit $ret ;fi
 	fi
 	echo
@@ -289,9 +289,9 @@
 	echo
     fi
     if [ "$CONLY" != yes ]; then
-	echo $CXX $SHARED $FLAGS $CXXFLAGS $FFCXXFLAGS $fileso -o $out.$SUF $LIBS  $DLL $OTHER $WMPI_LIB 
+	echo $CXX $SHARED $FLAGS $CXXFLAGS $FFCXXFLAGS $fileso -o $out.$SUF $LIBS  $DLL $OTHER $WMPI_LIB $LDFLAGS
 	if [  $do = yes ] ; then
-	   eval $CXX $SHARED $FLAGS $CXXFLAGS $FFCXXFLAGS $fileso -o $out.$SUF $LIBS $DLL $OTHER $WMPI_LIB 
+	   eval $CXX $SHARED $FLAGS $CXXFLAGS $FFCXXFLAGS $fileso -o $out.$SUF $LIBS $DLL $OTHER $WMPI_LIB $LDFLAGS
 	    ret=$?; if [ $ret -ne 0 ] ; then exit $ret ;fi
 	fi
 	echo
@@ -304,9 +304,9 @@
 	    test $do = yes &&   cp $DLL "$bin"
 	fi
 	if [ -n "$OWMPI" ] ; then
-	    echo $CXX $SHARED $FLAGS $CXXFLAGS $FFCXXFLAGS $fileso -o $OWMPI $LIBS $DLL $OTHER $MPI_LIB
+	    echo $CXX $SHARED $FLAGS $CXXFLAGS $FFCXXFLAGS $fileso -o $OWMPI $LIBS $DLL $OTHER $MPI_LIB $LDFLAGS
 	    if [  $do = yes ] ; then
-		eval $CXX $SHARED $FLAGS $CXXFLAGS $FFCXXFLAGS $fileso -o $OWMPI $LIBS $DLL $OTHER $MPI_LIB
+		eval $CXX $SHARED $FLAGS $CXXFLAGS $FFCXXFLAGS $fileso -o $OWMPI $LIBS $DLL $OTHER $MPI_LIB $LDFLAGS
 		ret=$?; if [ $ret -ne 0 ] ; then exit $ret ;fi
 	    fi
 	    echo
--- a/plugin/seq/Makefile.am
+++ b/plugin/seq/Makefile.am
@@ -204,7 +204,7 @@
 	fi
 
 ffmaster$(EXEEXT): libff-mmap-semaphore.o ffmaster.c libff-mmap-semaphore.h WHERE_LIBRARY-download 
-	$(CC) $(CFLAGS) ffmaster.c libff-mmap-semaphore.o -o ffmaster \
+	$(CC) $(CFLAGS) $(CPPFLAGS) ffmaster.c libff-mmap-semaphore.o -o ffmaster $(LDFLAGS) \
 	`awk -f ff-get-dep.awk -v libs="[pthread-google|pthread]" WHERE_LIBRARY-download  WHERE_LIBRARY-config`
 
 clean-local::
--- a/3rdparty/tetgen/Makefile
+++ b/3rdparty/tetgen/Makefile
@@ -30,8 +30,8 @@
 # FFCS - 30/11/10 - need ranlib on Win64. The PATH is setup so that mingw/ranlib is called
 
 fait-tags.done:tar-tags.done cxxflags 
-	cd $(SRCDIR);$(CXX) $(CXXFLAGS) -O3 -fPIC -DSELF_CHECK  -DNDEBUG -DTETLIBRARY -c tetgen.cxx
-	cd $(SRCDIR);$(CXX) $(CXXFLAGS) -O0 -fPIC -DSELF_CHECK  -DNDEBUG -DTETLIBRARY -c predicates.cxx
+	cd $(SRCDIR);$(CXX) $(CXXFLAGS) -O3 -fPIC -DSELF_CHECK  -DNDEBUG -DTETLIBRARY -c tetgen.cxx $(LDFLAGS)
+	cd $(SRCDIR);$(CXX) $(CXXFLAGS) -O0 -fPIC -DSELF_CHECK  -DNDEBUG -DTETLIBRARY -c predicates.cxx $(LDFLAGS)
 	touch fait-tags.done
 WHERE:WHERE.done
 WHERE.done: fait-tags.done
@@ -80,4 +80,4 @@
 	../../bin/ff-md5 $(PACKAGE) >> cxxflags	
 	if diff -q cxxflags cxxflags.old ; then echo No Modif skip compile of tetgen ; mv -f cxxflags.old cxxflags; else touch -c tar-tags.done; fi
 	
-.PHONY:$(SRCDIR)/$(INSTALL)
\ No newline at end of file
+.PHONY:$(SRCDIR)/$(INSTALL)
--- a/src/medit/Makefile.am
+++ b/src/medit/Makefile.am
@@ -25,7 +25,7 @@
 
 ffmedit_DEPENDENCIES=picking.$(OBJEXT)
 picking.$(OBJEXT):picking.c
-	${CC} -c $< $(CNOFLAGS) -o $@ 
+	${CC} -c $< $(CFLAGS) $(CPPFLAGS) -o $@ $(LDFLAGS)
 
 #pinking.no-optffmedit$(EXEEXT):picking.c
 #	rm picking.$(OBJEXT)
